# Retrieve list of activations recursively under a folder

Retrieve a list of activations (formerly syndications) recursively under a folder.

Endpoint: GET /audiences/{audienceId}/folders/{folderId}/syndications
Version: 1.0.0
Security: TdApikeyAuth

## Path parameters:

  - `audienceId` (integer, required)
    Master Segment id of the syndications

  - `folderId` (integer, required)
    Segment Folder ID

## Query parameters:

  - `sorted_by` (string)
    a sort key with an option

  - `name_include` (string)
    filter by Activation's name to return only Activations whose name includes the value

  - `segment_name_include` (string)
    filter by Segment's name to return only Activations whose Segment name includes the value

  - `start_after` (string)
    filter by start_at to return only Activations that starts after

  - `start_before` (string)
    filter by start_at to return only Activations that starts before

  - `connection_type` (array)
    filter by Connection Type return only Activations whose Connection Types match (Note that Pagination parameters page[size] and page[after] are ignored if connection_type is specified)

  - `schedule_status` (array)
    filter by schedule_status
    Enum: "none", "inactive", "scheduled", "active"

  - `created_by_td_user_id` (array)
    filter by the User ID of created_by

  - `activation_template_id` (array)
    filter by activation_template_id, "none" matches with an Activation that has no Activation Template, but it does not match with an Activation that has a deleted Activation Template

  - `repeat_unit` (array)
    filter by repeat_unit
    Enum: "hour", "day", "week", "month", "minute", "once", "none"

  - `page[after]` (string)
    An opaque cursor to get the next syndications

  - `page[size]` (integer)
    The paginated number of syndications to get

## Response 200 fields (application/json):

  - `syndications` (array)

  - `syndications.scheduleStatus` (string)
    Enum: "active", "scheduled", "inactive", "none"

  - `syndications.runStatus` (string,null)
    Tag should be shown in "Run Status". If the workflow never run before and future schedule is set, 'scheduled' will be shown.
    Enum: "scheduled", "success", "error", "canceling", "canceled", "running", "waiting"

  - `syndications.id` (string)
    Activation ID

  - `syndications.name` (string)
    Activation Name

  - `syndications.segmentId` (string)

  - `syndications.segmentName` (string)

  - `syndications.folder` (array)

  - `syndications.folder.id` (string)

  - `syndications.folder.name` (string)

  - `syndications.activationTemplateId` (string,null)

  - `syndications.activationTemplateName` (string,null)

  - `syndications.connectionId` (string)

  - `syndications.connectionType` (string,null)

  - `syndications.connectionTypeDescription` (string,null)

  - `syndications.connectionName` (string,null)

  - `syndications.connectionValid` (boolean)

  - `syndications.startAt` (string,null)
    cdp-api will fill some value for old syndications with ScheduleType is not NoneType. '%Y-%M-%DT%h:%m:%s' is expected.

  - `syndications.endOn` (string,null)

  - `syndications.workflowProjectName` (string,null)

  - `syndications.workflowName` (string,null)

  - `syndications.lastExecution` (any)
    - `workflowId` (string, required)
    - `workflowSessionId` (string, required)
    - `createdAt` (string, required)
    - `finishedAt` (string,null, required)
    - `status` (string, required)
      Enum: "success", "canceled", "error", "canceling", "blocked", "queued", "running"
    - `workflowAttemptId` (string, required)
    - `syndicationId` (string)

  - `syndications.lastRecordCount` (integer,null)

  - `syndications.repeatUnit` (string)
    Setting an activation repetition cycle such as "day" or "week".
    Enum: "none", "minute", "hour", "day", "week", "month", "once"

  - `syndications.repeatFrequency` (integer)
    Setting an activation repeat frequency.
Currently, it is set only when the repeat unit is "minute". If the repeat unit is "minute", the interval is set in minutes.

  - `syndications.timezone` (string)

  - `syndications.updatedAt` (string)

  - `syndications.updatedBy` (object)

  - `syndications.updatedBy.id` (string)

  - `syndications.updatedBy.td_user_id` (string)

  - `syndications.updatedBy.name` (string)

  - `syndications.createdAt` (string)

  - `syndications.createdBy` (object)

  - `pagination` (object)

  - `pagination.hasNext` (boolean)

  - `pagination.nextPage` (string)

  - `pagination.approximateCount` (integer)

## Response 400 fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

## Response 5XX fields (application/json):

  - `status` (integer, required)
    Error status

  - `error` (string, required)
    Error message

  - `details` (string)
    Detailed error message


